/**
 *
 * @authors Eric Hsiao
 *
 */

 const YOUTUBE__ID = 'mDD48KKCqYw';

 main = function (){

	//private menbers
  var tempData = [{"id":1,"lp":1,"gp":10,"issoldout":false,"isredeemed":false,"isnomoney":false,"canuse":true},{"id":2,"lp":2,"gp":20,"issoldout":false,"isredeemed":false,"isnomoney":true,"canuse":false},{"id":3,"lp":3,"gp":30,"issoldout":false,"isredeemed":false,"isnomoney":true,"canuse":false},{"id":4,"lp":5,"gp":50,"issoldout":false,"isredeemed":false,"isnomoney":true,"canuse":false}];

	//private methods
	function init () {
    console.log('main is loaded.');

    $('.game__store').show();
    storePage.updateCoupon(tempData);
	}

	//constructor

	{
		$(document).ready(function() {
			init();
		});
	}

	//public

	return {

	};
};

var main = new main();
